### Method

# PapersDocument Document load

#### Declaration [src]

    gboolean
    pps_document_load (
      PpsDocument* document,
      const char* uri,
      GError** error
    )

#### Description [src]

Loads `document` from `uri`.

On failure, `FALSE` is returned and `error` is filled in. If the document is encrypted, PPS_DEFINE_ERROR_ENCRYPTED is returned. If the backend cannot load the specific document, PPS_DOCUMENT_ERROR_INVALID is returned. If the backend does not support the format for the document’s contents, PPS_DOCUMENT_ERROR_UNSUPPORTED_CONTENT is returned. Other errors are possible too, depending on the backend used to load the document and the URI, e.g. `GIOError`, `GFileError`, and `GConvertError`.

#### Parameters

`uri`

  Type: `const char*`

  The document’s URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, or `FALSE` on failure.